news | articles | reviews | software | modules | accessories | discussion | faq | mobile | store
 visorcentral >> frequently asked questions >> Visor/Visor Deluxe and OmniSky
Visor/Visor Deluxe and OmniSky

OmniSky developed their service to work with Palm OS 3.5

More Information

OmniSky developed their service to work with Palm OS 3.5 and therefore Visor Solo, Visor, and Visor Deluxe handhelds are not compatible with the OmniSky module.

Article ID: #1072

Last Reviewed:
Saturday November 25, 2000




Errors or Updates?


About VisorCentral : Copyright 1999 Smartphone Experts All rights reserved : Terms of Use : Privacy policy